## GnomeDbLoginDialog

GnomeDbLoginDialog — Login dialog widget

##

# Synopsis

    struct      GnomeDbLoginDialog;
    struct      GnomeDbLoginDialogClass;
    struct      GnomeDbLoginDialogPrivate;
    GtkWidget*  gnome_db_login_dialog_new       (const gchar *title,
                                                 GtkWindow *parent);
    gboolean    gnome_db_login_dialog_run       (GnomeDbLoginDialog *dialog);
    const gchar* gnome_db_login_dialog_get_dsn  (GnomeDbLoginDialog *dialog);
    const gchar* gnome_db_login_dialog_get_auth (GnomeDbLoginDialog *dialog);
    const gchar* gnome_db_login_dialog_get_username
                                                (GnomeDbLoginDialog *dialog);
    const gchar* gnome_db_login_dialog_get_password
                                                (GnomeDbLoginDialog *dialog);
    GnomeDbLogin* gnome_db_login_dialog_get_login_widget
                                                (GnomeDbLoginDialog *dialog);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----GtkDialog
                                                 +----GnomeDbLoginDialog

## Implemented Interfaces

GnomeDbLoginDialog implements AtkImplementorIface and GtkBuildable.

## Properties

      "dsn"                  gchararray           : Read
      "password"             gchararray           : Read
      "username"             gchararray           : Read

## Description

## Details

### struct GnomeDbLoginDialog

    struct GnomeDbLoginDialog;

### struct GnomeDbLoginDialogClass

    struct GnomeDbLoginDialogClass {

    	GtkDialogClass parent_class;
    };

### struct GnomeDbLoginDialogPrivate

    struct GnomeDbLoginDialogPrivate;

### gnome_db_login_dialog_new ()

    GtkWidget*  gnome_db_login_dialog_new       (const gchar *title,
                                                 GtkWindow *parent);

Creates a new login dialog widget.

`title` : | title of the dialog, or `NULL`
`parent` : | transient parent of the dialog, or `NULL`
Returns : | the new widget

### gnome_db_login_dialog_run ()

    gboolean    gnome_db_login_dialog_run       (GnomeDbLoginDialog *dialog);

Shows the login dialog and waits for the user to enter its username and password and perform an action on the dialog.

`dialog` : |
Returns : | TRUE if the user wants to connect

### gnome_db_login_dialog_get_dsn ()

    const gchar* gnome_db_login_dialog_get_dsn  (GnomeDbLoginDialog *dialog);

Get the currently defined data source parameters

`dialog` : | a GnomeDbLoginDialog dialog
Returns : | a DSN string, which must not be modified

### gnome_db_login_dialog_get_auth ()

    const gchar* gnome_db_login_dialog_get_auth (GnomeDbLoginDialog *dialog);

Get the currently defined authentication parameters

`dialog` : | a GnomeDbLoginDialog dialog
Returns : | a string, which must not be modified

### gnome_db_login_dialog_get_username ()

    const gchar* gnome_db_login_dialog_get_username
                                                (GnomeDbLoginDialog *dialog);

`dialog` : |
Returns : |

### gnome_db_login_dialog_get_password ()

    const gchar* gnome_db_login_dialog_get_password
                                                (GnomeDbLoginDialog *dialog);

`dialog` : |
Returns : |

### gnome_db_login_dialog_get_login_widget ()

    GnomeDbLogin* gnome_db_login_dialog_get_login_widget
                                                (GnomeDbLoginDialog *dialog);

Get the GnomeDbLogin widget contained in a GnomeDbLoginDialog.

`dialog` : | A GnomeDbLoginDialog widget.
Returns : | the login widget contained in the dialog.

## Properties

"`dsn`" (gchararray : Read) |
"`password`" (gchararray : Read) |
"`username`" (gchararray : Read) |